function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function GoSoapCastleStair()
    PRI()FAO(2)TRA("CS_soapcastle_stair","E0090",46,8,0,32)
end

function CheckRedBook()
    PRI()
    MS3("一本掉在地上的书，")NOD()
    CAT("\n上面写着《如何饲养龙鱼》")NOD()
    CAT("\n作者不明。")NOD()
end

function CheckPurpleBook()
    PRI()
    MS3("一本掉在地上的书，")NOD()
    CAT("\n上面写着《如何控制魔法》")NOD()
    CAT("\n作者是米莎莉。")NOD()
end

function HidePuppy()
    KEY()
    CMU("CS_Vivi")
    FAC("curly_happy")MS3("来看！库特")NOD()
    CAT("\n我找到一个好地方~")NOD()CLO()
    MOV(8,15,MCI("CS_mychar_curly"))SLR(1,MCI("CS_mychar_curly"))
    MOV(10,15,MCI("CS_mychar_quote"))SLR(0,MCI("CS_mychar_quote"))
    FAI(3)
    WAI(30)
    FAC("curly_normal")MS3("小狗~")NOD()
    CAT("\n你先在这里休息吧。")NOD()
    CAT("\n之后他们会来这接你的。")NOD()CLO()
    FAO(2)TRA("CS_peace_town_hotel","KazumaAndSue",6,13)
end

function ContinueRescue()
    KEY()
    CMU("CS_Vivi")
    MOV(8,15,MCI("CS_mychar_curly"))SLR(1,MCI("CS_mychar_curly"))
    MOV(10,15,MCI("CS_mychar_quote"))SLR(0,MCI("CS_mychar_quote"))
    FAI(2)
    FAC("curly_normal")MS3("数码他们回复")
    CAT("\n已经派营救赶往这边了。")NOD()CLR()
    CAT("那么事不宜迟")
    CAT("\n我们现在赶快去救大家吧！")NOD()
end

function Puppy1()
    KEY()
    MS3("\n它完全的睡着了...")NOD()
end

function ProfessorBoosterSavePuppy()
    KEY()
    FAI(1)
    WAI(16)
    SNP("CS_bluerobot_animate",32,16,0,"mainLayer","BlueRobot1")
    ANP("BlueRobot1","walk",0)
    WAI(96)
    ANP("BlueRobot1","normal",0)
    WAI(16)
    MS3("\n[救援目标已发现！]")NOD()CLR()
    FAC("professorbooster_normal")MS3("真的嘛！")NOD()
    CAT("\n我现在过来！")NOD()CLO()
    SNP("CS_professor_booster_animate",32,16,0,"mainLayer","ProfessorBooster1")
    WAI(16)
    ANP("ProfessorBooster1","walk",0)
    WAI(32)
    SNP("CS_bluerobot_animate",32,16,0,"mainLayer","BlueRobot2")
    ANP("BlueRobot2","walk",0)
    WAI(32)
    FAO(1)
    MNP("BlueRobot1",8,15,1)
    ANP("BlueRobot1","normal",1)
    MNP("BlueRobot2",23,16,1)
    ANP("BlueRobot2","normal",1)
    MNP("ProfessorBooster1",10,15,0)
    ANP("ProfessorBooster1","normal",0)
    FAI(3)
    WAI(32)
    FAC("professorbooster_normal")MS3("看样子它只是睡着了，")
    CAT("\n没什么大碍。")NOD()CLR()
    CAT("救援机1号，你把它抱起来")
    CAT("\n先带回飞机上吧...")NOD()CLR()
    FAC()CAT("\n[收到！]")NOD()CLO()
    FAO(1)
    DNP("BlueRobot1")
    DNP("Puppy1")
    FLP("PuppySaved")
    TRA("CS_soapcastle_kingbedroom","ProfessorBoosterPickBook",32,16)
end

function ProfessorBoosterPickBook()
    KEY()
    SNP("CS_professor_booster_animate",14,16,0,"mainLayer","ProfessorBooster1")
    ANP("ProfessorBooster1","walk",1)
    SNP("CS_bluerobot_animate",23,16,1,"mainLayer","BlueRobot2")
    FAI(3)
    WAI(64)
    ANP("ProfessorBooster1","normal",1)
    WAI(32)
    FAC("professorbooster_normal")MS3("嗯..")NOD()
    CAT("\n这里居然还有书呢。")NOD()CLO()
    ANP("ProfessorBooster1","walk",1)
    WAI(16)
    ANP("ProfessorBooster1","back",1)
    WAI(32)
    FAC("professorbooster_normal")MS3("上面写着[如何控制魔法]")
    CAT("\n作者米莎莉。")NOD()CLR()
    CAT("是那个魔女写的书嘛，")NOD()
    CAT("\n不过我对魔法没有兴趣...")NOD()CLO()
    ANP("ProfessorBooster1","walk",1)
    WAI(16)
    ANP("BlueRobot2","walk",1)
    WAI(32)
    ANP("ProfessorBooster1","normal",1)
    WAI(32)
    ANP("BlueRobot2","normal",0)
    WAI(16)
    FAC("professorbooster_normal")MS3("不过一想到")
    CAT("\n我们的飞机速度这么慢，")NOD()
    CAT("\n为了打发时间还是把书带上好了...")NOD()CLO()
    ANP("ProfessorBooster1","walk",0)
    WAI(48)
    ANP("ProfessorBooster1","back",0)
    WAI(16)
    DNP("CheckPurpleBook")
    WAI(32)
    ANP("ProfessorBooster1","walk",1)
    WAI(64)
    FAO(1)
    TRA("CS_soapcastle_golemhall","ProfessorBoosterGetWand",3,18)
end